Creates a new parameter definition.

Request

Creates a new parameter definition.

Security
bearer and appkey
Headers
slb-partition-idstringrequired

The data partition id.

Bodyapplication/jsonrequired

A new parameter definition to create.

namestring, [ 1 .. 128 ] charactersrequired

Gets or Sets Name

typeParameterTypeDto (string)required
One of:

The parameter type.

string(ParameterTypeDto)
Enum:"Number""String""Boolean""Options"
levelObjectTypeDto (string)required
One of:

The DrillPlan object type.

string(ObjectTypeDto)
Enum:"Well""Wellbore""Section"
descriptionstring or null, <= 500 characters

Gets or Sets Description

is_available_as_ddiboolean or null

Gets or Sets IsAvailableAsDDI

unique_idstring or null, <= 500 characters

Gets or Sets UniqueId

tagsArray of strings or null

Gets or Sets Tags

optionsobject

Gets or Sets Options (also be called as List on UI)

curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/custom-parameters/v1/parameter-definitions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '{
    "name": "string",
    "type": "Number",
    "level": "Well",
    "description": "string",
    "is_available_as_ddi": true,
    "unique_id": "string",
    "tags": [
      "string"
    ],
    "options": {
      "property1": "string",
      "property2": "string"
    }
  }'

Responses

Bad request.

Bodyapplication/json
typestring or null
titlestring or null
statusinteger or null, (int32)
detailstring or null
instancestring or null
extensionsobject
property name*any or nulladditional property
Response
{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null }